clan::DomNodeList Class Reference - ClanLib SDK
Description: clan::DomNodeList Class Reference

Public Member Functions | List of all members
clan::DomNodeList Class Reference
clanXML XML

DOM Node List class. More...

`#include <dom_node_list.h>`

## Public Member Functions
| DomNodeList ()
| Constructs a DOM NodeList handle.
| DomNodeList (DomNode &node, const DomString &namespace_uri, const DomString &name, bool local_name=false)
| DomNodeList (DomNode &node, const DomString &tag_name)
| Constructs a DomNodeList.
| ~DomNodeList ()
void | add_item (DomNode &to_add)
| Adds a DomNode to the list.
int | get_length () const
| The number of nodes in the list.
DomNode | item (unsigned long index) const
| Returns the indexth item in the collection.

## Detailed Description

DOM Node List class.

The NodeList interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented.

## Constructor & Destructor Documentation

## ◆ DomNodeList() [1/3]

clan::DomNodeList::DomNodeList | ( |  | ) |

Constructs a DOM NodeList handle.

## ◆ DomNodeList() [2/3]

clan::DomNodeList::DomNodeList | ( | DomNode & | node,
|  | const DomString & | tag_name )

Constructs a DomNodeList.

Parameters

  node | = Dom Node
  tag_name | = Dom String

## ◆ DomNodeList() [3/3]

clan::DomNodeList::DomNodeList | ( | DomNode & | node,
|  | const DomString & | namespace_uri,
|  | const DomString & | name,
|  | bool | local_name = false )

## ◆ ~DomNodeList()

clan::DomNodeList::~DomNodeList | ( |  | ) |

## Member Function Documentation

## ◆ add_item()

void clan::DomNodeList::add_item | ( | DomNode & | to_add | ) |

Adds a DomNode to the list.

## ◆ get_length()

int clan::DomNodeList::get_length | ( |  | ) | const

The number of nodes in the list.

## ◆ item()

DomNode clan::DomNodeList::item | ( | unsigned long | index | ) | const

Returns the indexth item in the collection.

If index is greater than or equal to the number of nodes in the list, this returns an empty node.

The documentation for this class was generated from the following file:

- dom_node_list.h